Bug 1004860 - remmina-plugins-nx should require nxproxy
remmina-plugins-nx should require nxproxy
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: remmina (Show other bugs)
20
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-05 11:43 EDT by Orion Poplawski
Modified: 2014-09-07 11:19 EDT (History)
2 users (show)

See Also:
Fixed In Version: remmina-1.0.0-15.git.65d2ca4.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-03 22:07:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2013-09-05 11:43:00 EDT
Description of problem:

With the migration from nx to nx-libs (see https://fedoraproject.org/wiki/Changes/X2Go#Upgrade.2Fcompatibility_impact), remmina-plugins-nx should require nxproxy instead of nx.  For backwards compatibility, you could require /usr/bin/nxproxy.

Currently nx-libs is in f20+, but I hope to eventually push to f18+ and el6.
Comment 1 Orion Poplawski 2013-09-05 11:54:44 EDT
Also, we have retired freenx-client/qtnx because the just didn't work.  It seems like remmina-plugins-nx is now the preferred nx client in Fedora, so it probably would be good if it:

Obsoletes: qtnx < 0.9-18

So folks upgrading would get a working nx client and resolve broken deps in qtnx.
Comment 2 Christoph Wickert 2014-05-22 07:34:59 EDT
Assigning bug to new package maintainer.
Comment 3 Pavel Alexeev 2014-08-17 15:53:49 EDT
Isn't it done by your commit?
* Mon Dec 02 2013 Orion Poplawski <orion@cora.nwra.com> - 1.0.0-9
- Obsolete/Provide qtnx (Bug #1034046)

It now has:
Obsoletes:      qtnx < 0.9-17
Provides:       qtnx = 0.9-17

But some reason still:
Requires:       nx
Comment 4 Pavel Alexeev 2014-08-17 15:54:43 EDT
Probably it is duplicate of bug#1034046?
Comment 5 Orion Poplawski 2014-09-03 22:07:32 EDT
Looks like I forgot about this.
Comment 6 Pavel Alexeev 2014-09-07 11:19:12 EDT
I've seen you commit. Thank you.

Note You need to log in before you can comment on or make changes to this bug.